#include <bits/stdc++.h>
#include "partition.h"

using namespace std;

#define ff first
#define ss second
#define all(a) a.begin(),a.end()
#define pb push_back


vector<int> solve(vector<int> a) {
    int n = a.size();
    vector <pair<int,int> > b(n);

    for(int i = 0;i < n;i++){
        b[i].ff = a[i];
        b[i].ss = i;
    }

    sort(all(b));

    vector <int> ans;

    for(int i = n / 2 ;i < n;i++){
        ans.pb(i);
    }
    for(int i = 0;i < n / 2;i++){
        ans.pb(i);
    }
    return ans;
}
